Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.submit.transports.http
Class MimeMessageResponse

    java.lang.Object
      com.eviware.soapui.impl.wsdl.submit.transports.http.MimeMessageResponse

All Implemented Interfaces:
  WsdlResponse, Response

    public class MimeMessageResponse

extends java.lang.Object
implements WsdlResponse

WsdlMockResponse for a MimeResponse

Author:
  ole.matzura

Constructor Summary
`MimeMessageResponse(WsdlRequest wsdlRequest, TimeablePostMethod postMethod, java.lang.String requestContent)`

Method Summary
`Attachment[]` | `getAttachments()`
`Attachment[]` | `getAttachmentsForPart(java.lang.String partName)`
`java.lang.String` | `getContentAsString()`
`long` | `getContentLength()`
`WsdlRequest` | `getRequest()`
`java.lang.String` | `getRequestContent()`
`StringToStringMap` | `getRequestHeaders()`
`StringToStringMap` | `getResponseHeaders()`
`SSLInfo` | `getSSLInfo()`
`long` | `getTimestamp()`
`long` | `getTimeTaken()`
`void` | `setResponseContent(java.lang.String responseContent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeMessageResponse

    public MimeMessageResponse(WsdlRequest wsdlRequest,
                               TimeablePostMethod postMethod,
                               java.lang.String requestContent)

Method Detail

### getSSLInfo

    public SSLInfo getSSLInfo()

  Specified by:
    `getSSLInfo` in interface `WsdlResponse`

### getContentLength

    public long getContentLength()

  Specified by:
    `getContentLength` in interface `Response`

### getRequest

    public WsdlRequest getRequest()

  Specified by:
    `getRequest` in interface `WsdlResponse`
  Specified by:
    `getRequest` in interface `Response`

### getTimeTaken

    public long getTimeTaken()

  Specified by:
    `getTimeTaken` in interface `Response`

### getRequestHeaders

    public StringToStringMap getRequestHeaders()

  Specified by:
    `getRequestHeaders` in interface `Response`

### getResponseHeaders

    public StringToStringMap getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `Response`

### getRequestContent

    public java.lang.String getRequestContent()

  Specified by:
    `getRequestContent` in interface `WsdlResponse`

### setResponseContent

    public void setResponseContent(java.lang.String responseContent)

  Specified by:
    `setResponseContent` in interface `WsdlResponse`

### getAttachments

    public Attachment[] getAttachments()

  Specified by:
    `getAttachments` in interface `Response`

### getAttachmentsForPart

    public Attachment[] getAttachmentsForPart(java.lang.String partName)

  Specified by:
    `getAttachmentsForPart` in interface `Response`

### getContentAsString

    public java.lang.String getContentAsString()

  Specified by:
    `getContentAsString` in interface `Response`

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `Response`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.